Path: ux1.cso.uiuc.edu!brutus.cs.uiuc.edu!zaphod.mps.ohio-state.edu!wuarchive!mit-eddie!bloom-beacon!eru!luth!sunic!mcsun!hp4nl!phigate!philmds!ehviea!leo
From: leo@ehviea.ine.philips.nl (Leo de Wit)
Newsgroups: comp.sys.atari.st
Subject: Re: TECH: 50Hz and Boot Sector Booting
Message-ID: <527@ehviea.ine.philips.nl>
Date: 4 Apr 90 06:35:30 GMT
References: <16000032@ux1.cso.uiuc.edu>
Reply-To: leo@ehviea.UUCP (Leo de Wit)
Organization: Philips I&E Eindhoven
Lines: 83

In article <16000032@ux1.cso.uiuc.edu> cs325ec@ux1.cso.uiuc.edu writes:
|
|
|	I was wondering if someone could answer two technical questions:
|
|	1.) 50Hz:  Setting 0x448 to something other than zero does not
|		put the ST in PAL mode, does it?  I downloaded hertz.arc
|		from terminator, but the hertz.tos is non executable,
|		i.e. no 0x601a...  I have seen both a boot sector program
|		and a PD 50Hz program, but I can not find them now that
|		I need to disassemble them.

You must flip some bit of the I/O registers to switch between 50 and 60
Hz (it is not used for the 70 Hz monochrome display).

When I bought my hard disk, I was told to get TOS in Rom, because
things wouldn't work OK (had a disk based TOS at that time). There
appeared to be something wrong with these Roms, at least for my (color)
display: flicker, a smaller (less higher) display and higher intensity.
Sometimes, especially after a (long) hard disk access, it would jump
into the correct mode (normal brightness, no flicker, normal display
height). After some time I found out the problem, i.e. the ST was
running in the wrong mode. I wrote a small program that flips between
50 and 60 Hz and can be put in the AUTO folder (it isn't even
resident).  Here it is, with source code and uue-d program. Enjoy,

   Leo.

-------------------------------------
******************************************************************************
*                                                                            *
*    swaphz.asm    version 1.0 of 29 Oct 1988    (C) L.J.M. de Wit 1988      *
*                                                                            *
* This software may be used and distributed freely if not used commercially  *
* and the originator (me) is mentioned.                                      *
*                                                                            *
******************************************************************************
*
* NAME
*    swaphz
*
* SYNTAX
*    swaphz.prg
*
* DESCRIPTION
*    Swaphz swaps - for low and med res - between 50 and 60 Hz.
*

    module swaphz
    section s.ccode

* system variables
syncmode    equ   $ff820a

* GEMDOS & (X)BIOS stuff
gemdos      equ   1
super       equ   $20

swaphz
      clr.l    -(sp)
      move.w   #super,-(sp)
      trap     #gemdos
      move.l   d0,-(sp)
      bchg.b   #1,syncmode
      move.w   #super,-(sp)
      trap     #gemdos
      lea.l    12(sp),sp
      clr.w    -(sp)
      trap     #gemdos

    end


The program in uue form:

table
 !"#$%&'()*+,-./0123456789:;<=>?
@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
begin 644 swaphz.prg
M8!H    @                             $*G/SP ($Y!+P (>0 ! /^"z
7"C\\ "!.04_O  Q"9TY!            y
 x
end

